Skip to main content
GET
Retrieve Bank Account

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPAY.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the bank account.

Example:

"a7b92a19-bfc3-4c8b-8a4f-cfcf74cab345"

Response

200 - application/json

Bank account retrieved successfully

Common bank account properties shared between request and response.

account_number
string

Bank account number (e.g., IBAN).

Required string length: 5 - 60
Example:

"GB71950018692652646598"

bank_name
string

Name of the bank.

Example:

"DBS Bank"

swift_code
string

SWIFT/BIC code of the bank.

Required string length: 8 - 11
Example:

"DBSSSGSG"

bank_country_code
string<iso-3166-1-alpha-2>

Two-letter country code (ISO 3166-1 alpha-2) of the bank.

Required string length: 2
Example:

"SG"

bank_address
string

Physical address of the bank.

Example:

"12 Marina Boulevard, Singapore 018982"

bank_code_value
string

The bank identifier value. The required format depends on the selected bank_code_type.

Accepted formats by bank_code_type:

  • aba: Exactly 9 digits.
  • bank_code: Exactly 3 digits.
  • sort_code: Exactly 6 digits.
  • bsb_code: Exactly 6 digits.
  • ifsc: Exactly 11 characters in the format:
    • First 4 characters: letters (A–Z)
    • 5th character: the digit 0
    • Last 6 characters: letters (A–Z) or digits (0–9)
  • cnaps_number: Exactly 12 digits.
Example:

"021000021"

bank_branch_code
string

Bank branch code. Required when currency = "CAD".

Example:

"00001"

bank_code_type

Bank routing code type. An empty string means no routing code type was provided.

Available options:
aba,
bank_code,
sort_code,
bsb_code,
ifsc,
cnaps_number
Example:

"aba"

id
string

Unique identifier (UUID) of the bank account.

Example:

"a7b92a19-bfc3-4c8b-8a4f-cfcf74cab345"

account_name
string

Name of the account holder.

Example:

"UQPAY PTE. LTD."

currency
string

Currency of the settlement account.

Example:

"SGD"

account_status
enum<string>

Status of the bank account.

  • Valid: The bank account is active and can be used for settlements.
  • Invalid: The bank account is inactive and cannot be used for settlements.
Available options:
Valid,
Invalid
Example:

"Valid"